FooterPartition (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.io.mxf

## Interface FooterPartition

- All Superinterfaces:
    Cloneable, Partition
  All Known Implementing Classes:
    FooterPartitionImpl

      public interface FooterPartition
      extends Partition, Cloneable

  Represents the footer partition of an MXF file, providing access to its constituent parts. A footer partition may contain header metadata and index table segments. It should not contain any parts of a body stream. If present, the optional footer partition is the last partition in an MXF file.

  See Also:
    `BodyPartition`, `HeaderPartition`, `MXFFile.getFooterPartition()`

- - ### Field Summary

    - ### Fields inherited from interface tv.amwa.maj.io.mxf.Partition

      `SIZE_UNKNOWN`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `FooterPartition` | `clone()` Create a cloned copy of this footer partition.
    `FooterPartitionPack` | `getPartitionPack()` Returns the footer partition pack that describes the details of this footer partition, including what it contains and its size.
    `void` | `setPartitionPack(FooterPartitionPack partitionPack)` Set the footer partition pack that describes this footer partition, including what it contains and its size.

    - ### Methods inherited from interface tv.amwa.maj.io.mxf.Partition

      `getActualSize, getInitialSize, hasEssenceContainer, hasHeaderMetadata, hasIndexTable, readHeaderMetadata, readIndexTableSegment, setInitialDataSize, setPartitionPackPadding, updateSizes, writeHeaderMetadata, writeIndexTableSegment, writeSingleIndexSegment`

- - ### Method Detail

    - #### getPartitionPack

          FooterPartitionPack getPartitionPack()

      Returns the footer partition pack that describes the details of this footer partition, including what it contains and its size.

      Specified by:
        `getPartitionPack` in interface `Partition`
      Returns:
        Footer partition pack describing this footer partition.
      See Also:
        `HeaderPartition.getPartitionPack()`, `getPartitionPack()`, `BodyPartition.getPartitionPack()`

    - #### setPartitionPack

          void setPartitionPack(FooterPartitionPack partitionPack)
                         throws NullPointerException

      Set the footer partition pack that describes this footer partition, including what it contains and its size.

      Parameters:
        `partitionPack` - Footer partition pack describing this footer partition.
      Throws:
        `NullPointerException` - Cannot set the footer partition pack with a `null` value.

    - #### clone

          FooterPartition clone()

      Create a cloned copy of this footer partition.

      Specified by:
        `clone` in interface `Partition`
      Returns:
        Cloned copy of this footer partition.

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.